--- old/usr/src/uts/common/rpc/xdrrdma_sizeof.c	Tue Aug  1 21:48:33 2017
+++ new/usr/src/uts/common/rpc/xdrrdma_sizeof.c	Tue Aug  1 21:48:33 2017
@@ -21,6 +21,8 @@
 /*
  * Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
+ *
+ * Copyright 2017 RackTop Systems.
  */
 
 #include <rpc/types.h>
@@ -274,11 +276,6 @@
 {
 	static struct xdr_ops ops;
 
-	/* to stop ANSI-C compiler from complaining */
-	typedef  bool_t (* dummyfunc1)(XDR *, long *);
-	typedef  bool_t (* dummyfunc2)(XDR *, caddr_t, int);
-	typedef  bool_t (* dummyfunc3)(XDR *, int32_t *);
-
 	ops.x_putbytes = x_putbytes;
 	ops.x_inline = x_inline;
 	ops.x_getpostn = x_getpostn;
@@ -287,12 +284,12 @@
 	ops.x_control = x_control;
 
 #if defined(_LP64) || defined(_KERNEL)
-	ops.x_getint32 = (dummyfunc3)harmless;
+	ops.x_getint32 = (void *)harmless;
 	ops.x_putint32 = x_putint32_t;
 #endif
 
 	/* the other harmless ones */
-	ops.x_getbytes = (dummyfunc2)harmless;
+	ops.x_getbytes = (void *)harmless;
 
 	return (&ops);
 }
